/*8-2-2006 MRC-Epid JHZ*/

title2 binary trait;
%macro bt0(i,trait=case);
ods select none;
proc casecontrol data=scratch.long&i tall marker=rsn indiv=id genotype trend outstat=scratch.pm&i;
     trait &trait;
     var a1 a2;
run;
ods select all;
%mend bt0;

%macro bt(i,trait=case);
options nonotes;
ods select none;
proc logistic data=scratch.long&i descending;
     ods output parameterestimates=pm&i CLOddsPL=clpm&i;
     model &trait=add / expb clodds=pl;
     by rsn;
run;
proc logistic data=scratch.long&i descending;
     ods output parameterestimates=dom&i CLOddsPL=cldom&i;
     model &trait=dom / expb clodds=pl;
     by rsn;
run;
proc logistic data=scratch.long&i descending;
     ods output parameterestimates=rec&i CLOddsPL=clrec&i;
     model &trait=rec / expb clodds=pl;
     by rsn;
run;
data pm&i (where=(variable ne "Intercept"));
     set pm&i dom&i rec&i;
run;
proc sort data=pm&i;
     by rsn;
run;
data clpm&i;
     set clpm&i cldom&i clrec&i;
run;
proc sort data=clpm&i;
     by rsn;
run;
ods select all;
options notes;
%mend bt;
