/*16-1-2008 MRC-Epid JHZ*/

%macro check_strand;
data _null_;
     call system ("cp v1/genotypes_chr1_CEU_r21_nr_fwd_legend_all_no_mono v1/chr1_CEU_legend");
     call system ("cp v1/genotypes_chr2_CEU_r21_nr_fwd_legend_all_no_mono v1/chr2_CEU_legend");
     call system ("cp v1/genotypes_chr3_CEU_r21_nr_fwd_legend_all_no_mono v1/chr3_CEU_legend");
     call system ("cp v1/genotypes_chr4_CEU_r21_nr_fwd_legend_all_no_mono v1/chr4_CEU_legend");
     call system ("cp v1/genotypes_chr5_CEU_r21_nr_fwd_legend_all_no_mono v1/chr5_CEU_legend");
     call system ("cp v1/genotypes_chr6_CEU_r21_nr_fwd_legend_all_no_mono v1/chr6_CEU_legend");
     call system ("cp v1/genotypes_chr7_CEU_r21_nr_fwd_legend_all_no_mono v1/chr7_CEU_legend");
     call system ("cp v1/genotypes_chr8_CEU_r21_nr_fwd_legend_all_no_mono v1/chr8_CEU_legend");
     call system ("cp v1/genotypes_chr9_CEU_r21_nr_fwd_legend_all_no_mono v1/chr9_CEU_legend");
     call system ("cp v1/genotypes_chr10_CEU_r21_nr_fwd_legend_all_no_mono v1/chr10_CEU_legend");
     call system ("cp v1/genotypes_chr11_CEU_r21_nr_fwd_legend_all_no_mono v1/chr11_CEU_legend");
     call system ("cp v1/genotypes_chr12_CEU_r21_nr_fwd_legend_all_no_mono v1/chr12_CEU_legend");
     call system ("cp v1/genotypes_chr13_CEU_r21_nr_fwd_legend_all_no_mono v1/chr13_CEU_legend");
     call system ("cp v1/genotypes_chr14_CEU_r21_nr_fwd_legend_all_no_mono v1/chr14_CEU_legend");
     call system ("cp v1/genotypes_chr15_CEU_r21_nr_fwd_legend_all_no_mono v1/chr15_CEU_legend");
     call system ("cp v1/genotypes_chr16_CEU_r21_nr_fwd_legend_all_no_mono v1/chr16_CEU_legend");
     call system ("cp v1/genotypes_chr17_CEU_r21_nr_fwd_legend_all_no_mono v1/chr17_CEU_legend");
     call system ("cp v1/genotypes_chr18_CEU_r21_nr_fwd_legend_all_no_mono v1/chr18_CEU_legend");
     call system ("cp v1/genotypes_chr19_CEU_r21_nr_fwd_legend_all_no_mono v1/chr19_CEU_legend");
     call system ("cp v1/genotypes_chr20_CEU_r21_nr_fwd_legend_all_no_mono v1/chr20_CEU_legend");
     call system ("cp v1/genotypes_chr21_CEU_r21_nr_fwd_legend_all_no_mono v1/chr21_CEU_legend");
     call system ("cp v1/genotypes_chr22_CEU_r21_nr_fwd_legend_all_no_mono v1/chr22_CEU_legend");
run;
options nonotes;
proc datasets;
     delete strand_all legend_all;
quit;
%do i=1 %to 22;
data strand;
     infile "v1/CEU_files/chr&i..strand";
     input pos strandv1$;
     chr=&i;
     locationv1=pos;
     in_hapmap=1;
run;
data legend;
     infile "v1/chr&i._CEU_legend" firstobs=2;
     format rsn $15. a1v1 $1. a2v1 $1.;
     input rsn$ pos a1v1 a2v1;
     chr=&i;
     rename rsn=rsnv1;
run;
data _null_;
     call system("rm v1/chr&i._CEU_legend");
run;
proc datasets;
     append base=strand_all data=strand force;
     append base=legend_all data=legend force;
quit;
%end;
options notes;
%mend;
%check_strand;
proc sort data=strand_all;
     by chr pos;
run;
proc sort data=legend_all;
     by chr pos;
run;
data v1 (drop=in_hapmap);
     merge strand_all legend_all;
     by chr pos;
     if in_hapmap=1;
run;
proc freq data=v1;
     table a1v1 a2v1 strandv1;
run;
libname x ' ';
data b35;
     set x.affy500snps (rename=(chr=chrn) where=(chrn^='X'));
     chr=chrn+0;
run;
proc sort data=b35;
     by chr pos;
run;
data x.checkv1;
     merge v1 (where=(pos^=.)) b35 (where=(pos^=.));
     by chr pos;
     equal=(compress(strandv1)=compress(strand));
run;
proc freq data=x.checkv1;
     table equal;
run;
libname ruth '/data/genetics/GWA/impute/ruth';
data b35 (drop=chrc);
     set ruth.affy500snps (keep=probe_set_id rsn allele_a allele_b strand chr allele_ceu positionb35
         where=(chrc not in ("X","---"))
         rename=(probe_set_id=setid1 chr=chrc positionb35=pos allele_a=allele1 allele_b=allele2));
     chr=chrc+0;
run;
proc sort data=b35 (keep=setid1 rsn pos chr allele1 allele2 strand);
     by chr pos;
run;
data checkv1;
     merge v1 (where=(pos^=.)) b35 (where=(pos^=.));
     by chr pos;
     equal=(compress(strandv1)=compress(strand));
run;
proc freq data=checkv1;
     table equal;
run;
