/*8-2-2007 MRC-Epid JHZ*/

%macro code(i);
data a1a2;
     set scratch.data&i;
     ab=a1;output;
     ab=a2;output;
run;
ods select none;
proc sort data=a1a2;
     by rsn;
run;
proc freq data=a1a2;
     by rsn;
     ods output onewayfreqs=ab;
     table ab;
run;
ods select all;
proc sql;
     create table ma0 as select rsn, table, ab, frequency, percent from ab
            group by rsn having frequency=min(frequency);
     create table mb0 as select rsn, table, ab, frequency, percent from ab
            group by rsn having frequency=max(frequency);
quit;
proc sort data=ma0;
     by rsn ab;
run;
data ma;
     set ma0;
     by rsn ab;
     if percent=50 & last.rsn then delete;
run;
proc sort data=mb0;
     by rsn ab;
run;
data mb;
     set mb0;
     by rsn ab;
     if percent=50 & first.rsn then delete;
run;
data ma&i (drop=table);
     merge ma (rename=(ab=a1 frequency=n1 percent=p1)) 
           mb (rename=(ab=a2 frequency=n2 percent=p2));
     by rsn;
run;
proc sort data=scratch.data&i out=data&i;
     by rsn;
run;
data scratch.g&i (drop=table frequency ab percent);
     merge ma data&i;
     by rsn;
     if (a1 ne ' ') & (a2 ne ' ') then do;
        rec0=(a1=ab & a2=ab);
        dom0=(a1=ab | a2=ab);
        add0=(a1=ab)+(a2=ab);
     end;
run;
%mend code;
