/*4-5-2007 MRC-Epid JHZ*/

%macro data(i);
title2 genotypic information;
%if %upcase(&i)=X %then %do;
    %let j=X;
%end;
%else %do;
    %let j=%eval(&i);
%end;
filename EPIC5k pipe "gunzip -c &home.Affx_20070307fs1_gt_OB_BRLMM96_&i..txt.gz";
data case (drop=score b1b2);
     infile EPIC5k dlm='09'x;
     format rsn $15. id $15.;
     input rsn$ id$ b1b2$ score;
     a1a2=translate(b1b2,' ','N');
run;
%count(case);
data _null_;
     nn=&nobs;
     call symput('cases',left(put(nn,16.)));
     put nn=;
run;
filename EPIC5k pipe "gunzip -c &home.Affx_20070307fs1_gt_OBC_BRLMM96_&i..txt.gz";
data control (drop=score b1b2);
     infile EPIC5k dlm='09'x;
     format rsn $15. id $15.;
     input rsn$ id$ b1b2$ score;
     a1a2=translate(b1b2,' ','N');
run;
%count(control);
data _null_;
     nn=&nobs;
     call symput('controls',left(put(nn,16.)));
     put nn=;
run;
data data&i;
     set case control;
run;
proc sql;
     create table exclude as select * from epic5k.exclude;
     create table obesity.data&i as select * from data&i
                  where id not in (select wtccc_id from exclude);
quit;
%mend data;
