/*26-4-2007 MRC-Epid JHZ*/

title2 quantitative trait in cohort;

%macro qt(i,trait=bmi);
ods select none;
proc reg data=scratch.long&i (where=(cohort="1"));
     ods output ANOVA=anova&i ParameterEstimates=parms&i;
     by rsn;
     add: model &trait=add /b stb;
     dom: model &trait=dom /b stb;
     rec: model &trait=rec /b stb;
quit;
data parms&i (drop=variable);
     set parms&i (where=(variable ne "Intercept") drop=label);
run;
%mend qt;
