/*12-2-2007 MRC-Epid JHZ*/

%include setup;

data ob;
     infile "&home.Affx_sample_OB.txt" dlm='09'x;
     format id $15. source $10.;
     input id$ s label$ source$ number$ area$;
     idn=input(substr(number,1,5),5.);
     code=upcase(put(substr(number,6),$3.));
     drop area source;
run;
data obc;
     infile "&home.Affx_sample_OBC.txt" dlm='09'x;
     format id $15. source $10.;
     input id$ s label$ source$ number$ area$;
     idn=input(substr(number,1,5),5.);
     code=upcase(put(substr(number,6),$3.));
     drop area source;
run;
data rotate;
     infile 'rotate180' dlm='09'x;
     format to $3.;
     input code$ to$;
     obs=_n_;
run;
proc sort data=rotate out=rotate;
     by code;
run;
proc sort data=ob out=new;
     by code;
run;
data new1 (rename=(code=from to=code));
     merge rotate new;
     by code;
run;
proc sort data=new1;
     by code idn;
proc sort data=obc out=new2;
     by code idn;
run;
data new2 (drop=idn);
     merge new1 (rename=(id=id1 s=s1 label=label1 number=number1))
           new2 (rename=(id=id2 s=s2 label=label2 number=number2));
     by code idn;
run;
proc print data=new2 width=min;
run;
proc sort data=new2 (where=(id ne "") rename=(id1=id)) out=new3;
     by id;
proc sort data='rs/data16.sas7bdat' out=data16;
     by id;
run;

data new3;
     merge new3 data16;
     by id;
run;
proc sort data=new3 (where=(id ne "") rename=(id=id1 id2=id)) out=new4;
     by id;
run;
data new4;
     merge new4 data16 (rename=(a1=b1 a2=b2));
     by id;
     c1=a1;c2=a2;
     a1=b1;a2=b2;
     b1=c1;b2=c2;
run;
proc print data=new4 width=min;
     var code from number1 number2 id rsn a1 a2 b1 b2;
run;
data data1;
     set new4 (keep=rsn id a1 a2);
run;
data data2;
     set new4 (keep=rsn id b1 b2 rename=(b1=a1 b2=a2));
run;
data epic5k.data16 data16;
     set data1 data2;
     where a1 ne "" & a2 ne "";
run;
proc print data=data16;
run;
