/*11-6-2007 MRC-Epid JHZ*/

options replace=yes mprint spool nocenter ps=max ls=max;

libname affy500k '/data/genetics/GWA/annotate';
libname obesity '/data/genetics/scratch/obesity500k';
libname scratch '/scratch';
libname epic5k '.';

%let home=/data/genetics/GWA/Obesity/apr-2007/;

%global nobs cases controls;

%macro count(dsn);
data _null_;
     if 0 then set &dsn nobs=count;
     call symput('nobs',left(put(count,16.)));
     stop;
run;
%mend count;

%include ds2text;

proc format;
     value agefmt low-<50='1' 50-<60='2' 60-<70='3' 70-high='4';
run;

