/*5-3-2007 MRC-Epid JHZ*/

%macro split(i,ns=2);
proc sql;
     create table rsn&i as select unique(rsn) from case;
     create table rsn2&i as select unique(rsn) from control;
quit;
data rsn&i;
     set rsn&i rsn2&i;
run;
proc sort data=rsn&i (keep=rsn) nodupkey;
     by rsn;
run;
%count(rsn&i);
data rsn&i;
     set rsn&i;
     by rsn;
     nn=&nobs;
     group=ceil(&ns/nn*_n_);
     name=rsn;
run;
%mend split;

/*
proc sort data=obesity.data&i (keep=rsn) out=rsn&i nodupkey;
     by rsn;
run;
proc sql;
     create table rsn&i as select unique(rsn) from obesity.data&i;
quit;
proc sql;
     create table rsn&i as select rsn from case
                  union select rsn from control;
quit;
*/
