/*17-01-2008 MRC-Epid JHZ*/

libname ruth '/data/genetics/GWA/impute/ruth';
libname x '.';
options ps=max;

data ruth;
     set ruth.affy500snps (keep=probe_set_id rsn positionb35 strand chr allele_a allele_b);
run;
proc freq data=ruth;
     table chr;
run;
proc sort data=ruth out=affy500snps (rename=(rsn=rsn1 positionb35=pos strand=strand1));
     by chr positionb35;
run;
proc freq data=x.affy500snps;
     table chr;
run;
data x.combine;
     merge affy500snps (where=(compress(chr)^='---' & pos^=.)) x.affy500snps;
     by chr pos;
run;
proc freq data=x.combine;
     table strand1*strand;
     table allele_a*a1 allele_b*a2;
run;
proc sql;
     select chr, strand, strand1, pos, rsn, rsn1, setid, probe_set_id 
            from x.combine where compress(strand1)^=strand;
quit;
