/*17-1-2008, MRC-Epid JHZ*/

libname x '.';
data affy500snps;
     format setid $15. rsn $15. chr$2. strand a1 a2 $1.;
     infile 'Affy500snps.csv' dlm=',';
     input setid rsn chr pos strand a1 a2;
     if rsn='---' then rsn=setid;
     label setid='Probe Set ID'
           rsn='dbSNP RS ID'
           chr='Chromosome'
           pos='Physical Position'
           strand='Strand'
           a1='Allele A'
           a2='Allele B'
;
run;
proc sort data=affy500snps out=x.affy500snps;
     by chr pos;
run;
