/*4-5-2007 MRC-Epid JHZ*/

%macro hwe(i,where=);
ods select none;
proc sort data=scratch.long&i (where=(cohort="1") keep=rsn id sex a1a2 cohort) out=control&i (drop=cohort sex);
     &where;
     by id rsn;
run;
proc transpose data=control&i out=control2&i (drop=_NAME_ id);
     id rsn;
     by id;
     var a1a2;
run;
proc allele data=control2&i genocol;
     var _CHARACTER_;
     ods output markersumm=ms&i allelefreq=af&i;
run;
proc sort data=scratch.long&i (keep=rsn id sex a1a2 cohort) out=control&i (drop=cohort sex);
     &where;
     by id rsn;
run;
proc transpose data=control&i out=control2&i (drop=_NAME_ id);
     id rsn;
     by id;
     var a1a2;
run;
proc allele data=control2&i genocol;
     var _CHARACTER_;
     ods output markersumm=ams&i allelefreq=aaf&i;
run;
ods select all;
%mend hwe;
