/*22-5-2007 MRC-Epid JHZ*/

%macro partition(i,ns=30);
proc sql;
     create table map&i as select rsn epic5k.map&i order by rsn;
quit;
%count(map&i);
data map&i;
     set epic5k.map&i;
     by rsn;
     nn=&nobs;
     group=ceil(&ns/nn*_n_);
     name=rsn;
run;
proc sql;
     create table scratch.long&i as select *
            from obesity.long&i as a, map&i as b where a.rsn=b.rsn and group=1
            order by id, cohort, case, age, sex, bmi, zbmi, height, zheight, hba1c, hdl;
quit;
%do j=2 %to &ns;
    proc sql;
         create table scratch.long2&i as select *
                from obesity.long&i as a, map&i as b where a.rsn=b.rsn and group=&j
                order by id, cohort, case, age, sex, bmi, zbmi, height, zheight, hba1c, hdl;
    quit;
    data scratch.data&i;
         merge scratch.long&i scratch.long2&i;
         by id, cohort, case, age, sex, bmi, zbmi, height, zheight, hba1c, hdl;
    run;
%end;
%mend partition;
