/*3-5-2007 MRC-Epid JHZ*/

%macro pg(i);
proc sql;
     create table long&i as select * from scratch.g&i order by id;
quit;
data long&i (drop=t);
     set long&i;
     a1a2='   ';
     t=' ';
     if a1 ne ' ' & a2 ne ' ' then do;
        t=a1;
        if a1>a2 then do;
           a1=a2;
           a2=t;
        end;
        a1a2=compress(a1||'/'||a2);
     end;
     drop a1 a2;
run;
proc transpose data=long&i out=wide&i;
     by id;
     id rsn;
     var add0 dom0 rec0 a1a2;
run;
data scratch.wide&i (where=(compress(id) ne ""));
     merge epic5k.trait wide&i;
     by id;
run;
proc transpose data=scratch.wide&i out=long&i (drop=_LABEL_ rename=(_NAME_=rsn));
     by id cohort case age sex bmi zbmi height zheight hba1c hdl;
     var _all_;
run;
proc sql;
     create table long2&i (where=(upcase(rsn) not in('_NAME_','ID','COHORT','CASE','AGE','SEX','BMI','ZBMI','HEIGHT','ZHEIGHT','HBA1C','HDL')))
     as select * from long&i order by rsn, id;
quit;
data scratch.long&i (drop=add0 dom0 rec0 where=(compress(rsn) ne ""));
     set long2&i;
     add=input(compress(add0),3.);
     dom=input(compress(dom0),3.);
     rec=input(compress(rec0),3.);
run;
%mend pg;
