/*19-05-2007 MRC-Epid JHZ*/

%macro qqplot (data=,var=p,pdf=,title=Q-Q plot based on -2log(p));
symbol v=point;
filename gsasfile &pdf;
goptions reset=all gaccess=gsasfile dev=pdf target=ps300 gsfmode=append;
proc univariate data=&data noprint;
     title &title;
     qqplot &var / gamma (alpha=1 sigma=2 theta=0 L=1)
                   square vaxis=axis1;
     inset n mean (20.2) std="Std Dev" (10.2) gamma / pos=nw header='Summary Statistics';
     axis1 label=(a=90 r=0);
     axis2 label=none;
run;
%mend qqplot;

/*
data qqplot;
     do i=1 to 50;
        logu=-2*log(uniform(1234));
        output;
     end;
run;

options mprint;
%qqplot(data=qqplot,var=logu,pdf='qqplot.pdf');
*/
