/*4-5-2007 MRC-Epid JHZ*/

title phenotypic information;
proc sort data=epic5k.newtrait (rename=(wtccc_id=id case_20070321=case cohort_20070321=cohort)) out=newtrait;
     format wtccc_id $15.;
     by sex age;
run;
data stdtrait;
     set newtrait;
     zbmi=log10(bmi);
     zheight=height;
run;
proc standard data=stdtrait out=stdheight mean=0 std=1;
     by sex age;
     var zheight;
     format age agefmt.;
run;
proc sort data=stdtrait;
     by cohort sex age;
run;
proc standard data=stdtrait out=stdbmi mean=0 std=1;
     by cohort sex age;
     var zbmi;
     format age agefmt.;
run;
proc sql;
     create table epic5k.trait as select a.cohort, a.id, a.case, a.age, a.sex, a.hba1c, a.hdl, a.height, a.zheight, 
                                         a.bmi, b.zbmi from stdheight a left join stdbmi b on a.id=b.id;
quit;
proc sort data=epic5k.trait;
     by id cohort case age sex bmi zbmi height zheight hba1c hdl;
run;

/*
data epic5k.trait;
     format sample_id $15.;
     set epic5k.qc (keep=sample_id sample_selected_to_genotype case bmi age sex cohort);
     rename sample_id=id sample_selected_to_genotype=typed;
run;
proc sort data=epic5k.trait;
     by id typed case bmi age sex;
run;
*/
