/*4-5-2007 MRC-Epid, JHZ*/

%macro xhwe(data=g,rsn=rsn,sex=sex,a1=a1,a2=a2,where=);
data &data (drop=t);
     set &data;
     &where;
     t=a1;
     if a1>a2 then do;
        a1=a2;
        a2=t;
     end;
     a1a2=compress(&a1||&a2);
run;
ods select none;
proc freq data=&data;
     by &rsn;
     table &sex*a1a2 / out=freq;
run;
ods select all;
proc sql;
     create table n as select &rsn,&sex,a1a2,count,sum(count) as total 
            from freq group by &rsn,&sex;
quit;
data a (drop=a1a2 &sex);
     set &data;
     if &sex=2 then do;
        a=&a1;output;
        a=&a2;output;
     end;
     else do;
        a=&a1;output;
     end;
run;
proc sort data=a;
     by &rsn;
run;
ods select none;
proc freq data=a;
     by &rsn;
     table a;
     ods output onewayfreqs=owf;
run;
ods select all;
proc sort data=owf;
     by &rsn percent;
run;
data owf1 (drop=percent);
     set owf (keep=rsn a percent);
     by &rsn percent;
     if first.&rsn;
     rename a=minor;
     q=percent/100;
run;
data owf2;
     set owf (keep=&rsn a percent cumfrequency);
     by &rsn percent;
     if last.&rsn;
     rename a=major cumfrequency=n;
run;
data owf;
     merge owf1 owf2;
     by &rsn;
run;
data x2 (drop=g o f e a1 a2 n count percent);
     merge n owf;
     by &rsn;
     a1=substr(a1a2,1,1);
     a2=substr(a1a2,2,1);
     if &sex=1 then do;
        if a1=minor then f=q;
        else if a1=major then f=1-q;
     end;
     else do;
        g=(a1=minor)+(a2=minor);
        select (g);
        when (0) f=(1-q)**2;
        when (1) f=2*q*(1-q);
        when (2) f=q**2;
        end;
     end;
     o=count;
     e=f*total;
     if e^=0 then x2=(o-e)**2/e;
run;
proc sql;
     create table chisq as select rsn, sum(x2) as chisq, 1-probchi(sum(x2),2) as p
            from x2 group by rsn;
quit;
proc datasets;
     delete a freq n owf owf1 owf2 x2;
quit;
%mend xhwe;
